Module java.compiler
Package javax.lang.model.type

# Interface PrimitiveType

All Superinterfaces:
  `AnnotatedConstruct`, `TypeMirror`

public interface PrimitiveType extends TypeMirror
Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

See Java Language Specification:
  4.2 Primitive Types and Values
Since:
  1.6

## Method Summary

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`